Subject: RE: Autotools broken?
From: "Ralf Habacker" <[email-masked]>
To: "Cygwin" <[email-masked]>
Cc: "Stephano Mariani" <[email-masked]>
Date: Sun, 20 Jan 2002 16:57:07 +0100

Look in the thread "libtool-devel and kde2 - problem with AC_PROG_CXX" - 
there is a patched libtool.m4 which works for me. 

Regards 

Ralf Habacker

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On Behalf
> Of Stephano Mariani
> Sent: Sunday, January 20, 2002 2:11 PM
> To: [email-masked]
> Subject: Autotools broken?
> Importance: High
> 
> 
> It appears in the latest cygwin (updated just hours ago) that the
> libtool is broken...
> 
> I'm  using the autotools on a very big build tree, that has over 600 c
> source files to be built, and some 50 assembler sources. When using
> autoconf, automake and libtool, the configure script dies complaining
> that it cannot find 'ltconfig.sh'. I am using the devel (with
> AC_PREREQ(2.52)) version of the tools, and have searched in
> /usr/autotool/{devel,stable}/share/libtool and there appears to be no
> sign of ltconfig.sh.
> 
> checking how to run the C preprocessor... gcc -E
> checking for dlfcn.h... yes
> checking for ranlib... (cached) ranlib
> checking for strip... strip
> checking for gcc option to produce PIC... none
> checking whether the linker (/usr/i686-pc-cygwin/bin/ld.exe) supports
> shared libraries... yes
> checking command to parse /usr/bin/nm -B output... (cached) ok
> checking if gcc static flag -static works... yes
> checking the maximum length of command line arguments... 12289
> checking if gcc supports -fno-rtti -fno-exceptions... yes
> checking if gcc supports -c -o file.o... yes
> checking for objdir... .libs
> checking how to hardcode library paths into programs... immediate
> checking whether stripping libraries is possible... yes
> checking dynamic linker characteristics... Win32 ld.exe
> checking whether -lc should be explicitly linked in... yes
> creating libtool
> checking if libtool supports shared libraries... yes
> checking how to run the C++ preprocessor... g++ -E
> ./ltconfig: Can't open ./ltconfig: No such file or directory
> configure: error: libtool tag configuration failed
> make: *** [config.status] Error 1
> 
> The entire build tree works perfectly when on linux, and on solaris.
> Is
> this a cygwin issue? I'm relatively new to windows and cygwin.
> 
> How do I go about solving this?
> 
> TIA,
> 
> Stephano Mariani
> 
> 
> 
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
> 
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/